<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
	<title>Twitter Cache</title>	
</head>
<body>

<?php

// Load in our Twitter class
include('twitter.inc.php');

// Instantiate the Twitter "Object"
$twitter = new Twitter();

// Use the getTweets() function to grab the latest status updates
$tweets = $twitter->getTweets('mikemackay');

// If we have tweets, let's loop through them and display each one...
if(is_array($tweets))
{
	echo '<ul id="tweets">';
	foreach($tweets as $tweet) echo '<li>' . date("jS M Y (H:i)", strtotime($tweet['created'])) . ' – ' . $tweet['text'] . '</li>';
	echo '</ul>';
}

// If we get to this, it means the class return a "string" instead of an array - indicating an error message.
else echo '<p>' . $tweets . '</p>';

?>

</body>
</html>